Bug 806921 - Updated RHEL ruby errata prevents install for CloudForms System Engine
Updated RHEL ruby errata prevents install for CloudForms System Engine
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Packaging (Show other bugs)
6.0.1
Unspecified Unspecified
unspecified Severity urgent (vote)
: Unspecified
: --
Assigned To: Jay Greguske
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-26 10:03 EDT by James Laska
Modified: 2014-09-18 11:32 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-22 14:31:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
yum.log (49.27 KB, application/octet-stream)
2012-03-26 10:03 EDT, James Laska
no flags Details

  None (edit)
Description James Laska 2012-03-26 10:03:28 EDT
Created attachment 572761 [details]
yum.log

== Description ==

Because of a RHEL ruby bugfix errata (RHBA-2012:12853), CloudForms System Engine fails to install.  Since some ruby sub-packages packages are included in the CloudForms repositories (such as ruby-irb), the repos need to be updated whenever a RHEL ruby errata ships.


# yum repolist
Loaded plugins: product-id, rhnplugin, security, subscription-manager
Updating certificate-based repositories.
repo id                           repo name                               status
rhel-x86_64-server-6              Red Hat Enterprise Linux Server (v. 6 f 7,017
rhel-x86_64-server-6-cf-se-1-beta Red Hat CloudForms System Engine Beta     311
repolist: 7,328


# yum install katello-all
<snip>
--> Finished Dependency Resolution
Error: Package: ruby-irb-1.8.7.352-6.el6.x86_64 (rhel-x86_64-server-6-cf-se-1-beta)
           Requires: ruby = 1.8.7.352-6.el6
           Available: ruby-1.8.7.299-4.el6.x86_64 (rhel-x86_64-server-6)
               ruby = 1.8.7.299-4.el6
           Available: ruby-1.8.7.299-5.el6_0.1.x86_64 (rhel-x86_64-server-6)
               ruby = 1.8.7.299-5.el6_0.1
           Available: ruby-1.8.7.299-7.el6.x86_64 (rhel-x86_64-server-6)
               ruby = 1.8.7.299-7.el6
           Available: ruby-1.8.7.299-7.el6_1.1.x86_64 (rhel-x86_64-server-6)
               ruby = 1.8.7.299-7.el6_1.1
           Available: ruby-1.8.7.352-3.el6.x86_64 (rhel-x86_64-server-6)
               ruby = 1.8.7.352-3.el6
           Available: ruby-1.8.7.352-4.el6_2.x86_64 (rhel-x86_64-server-6)
               ruby = 1.8.7.352-4.el6_2
           Available: ruby-1.8.7.352-6.el6.x86_64 (rhel-x86_64-server-6-cf-se-1-beta)
               ruby = 1.8.7.352-6.el6
           Installing: ruby-1.8.7.352-7.el6_2.x86_64 (rhel-x86_64-server-6)
               ruby = 1.8.7.352-7.el6_2
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest
Comment 1 James Laska 2012-03-26 11:13:51 EDT
jreguske can confirm, but I think we may need to tag brew build ruby-1.8.7.352-7.el6_2 [1] for both ce-rhel-6-candidate and se-rhel-6-candidate

[1] https://brewweb.devel.redhat.com/buildinfo?buildID=201605
Comment 2 Jay Greguske 2012-03-26 11:28:46 EDT
The relevant advisory is here:

https://errata.devel.redhat.com/errata/erratainfo.cgi?id=12853

Being in REL_PREP means it is not far from being released. When that happens the next puddle for Cloudforms should not have ruby at all, since we can use the one in RHEL. I'll make a note of checking this status for beta 7.

In the mean time we can tag that build into the CF candidate tags, yes.
Comment 3 Hugh Brock 2012-03-27 16:47:28 EDT
12853 is live and we have untagged ruby 1.8.7 from ce-rhel6.
Comment 4 Jeff Weiss 2012-04-17 10:54:08 EDT
Install of latest nightly puddle worked fine, and

<jlaska> jweiss: /bin/ls: cannot access
         /mnt/redhat/rel-eng/nightly/CloudForms/1.0/latest/el6-ce/x86_64/ruby-irb*:
         No such file or directory
<jlaska> jweiss: I think that means ruby-irb is no longer included in our
         CloudEngine nightly puddle, so that problem should be "fixed"

Verified.
Comment 6 Mike McCune 2013-08-16 14:00:35 EDT
getting rid of 6.0.0 version since that doesn't exist

Note You need to log in before you can comment on or make changes to this bug.